%define       name    owncloud
%define       version 5.0.17
%define       release %mkrel 1

%define       _owncloud_install %_datadir/%name

%define _requires_exceptions pear(common.inc.php)
%define __jar_repack %{nil}

Summary:      Open personal cloud
Name:         %{name}
Version:      %{version}
Release:      %{release}
Source0:      http://download.owncloud.org/community/%{name}-%version.tar.bz2
License:      AGPLv3
Group:        Monitoring
Url:          http://owncloud.org/
BuildRequires: apache
Requires:     php >= 4.1
Requires:     apache
Requires:     apache-mod_php
Requires:     php-zip
Requires:     php-mbstring
Requires:     php-gd
Requires:     php-curl
Requires:     php-iconv
Suggests:     php-sqlite3 php-pdo_sqlite
Suggests:     php-apc
BuildArch:    noarch

%description
A personal cloud server which runs on you personal server 
and enables accessing your data from everywhere and sharing 
with other people.

%files
%attr(-,apache,apache) %_owncloud_install
%config(noreplace) %webappconfdir/%{name}.conf

#--------------------------------------------------------------------


%prep
%setup -q -n %name 

%install
mkdir -p %buildroot/%_owncloud_install
(
mkdir temp 
pushd temp
tar xjf %{SOURCE0}
mv %name/* %buildroot%_owncloud_install
popd
)


mkdir -p %buildroot%webappconfdir
cat > %buildroot%webappconfdir/%{name}.conf <<EOF
# %{name} configuration
Alias /%name %_owncloud_install
<Directory %_owncloud_install>
    Require all granted
</Directory>
<Directory %_owncloud_install/data>
    Deny from all
</Directory>

EOF



%changelog
* Wed Jul 09 2014 luigiwalser <luigiwalser> 5.0.17-1.mga3
+ Revision: 650936
- 5.0.17
- 5.0.16
- New version 5.0.15 (mga#12889)

  + neoclust <neoclust>
    - New version 5.0.13 ( CVE-2013-6403 ) mga #11798
    - New version
    - New version 5.0.8
    - New version ( Fixed CVE oC-SA-2013-028)
    - New security fix release

* Mon Apr 22 2013 neoclust <neoclust> 5.0.5-1.mga3
+ Revision: 410963
- New release ( sec fixes )

* Sat Apr 13 2013 neoclust <neoclust> 5.0.4-1.mga3
+ Revision: 410053
- New version

* Fri Apr 05 2013 neoclust <neoclust> 5.0.3-1.mga3
+ Revision: 408354
- New version

* Tue Apr 02 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 407319
- New version

* Wed Mar 20 2013 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 404149
- New version

  + zezinho <zezinho>
    - new version

* Mon Mar 18 2013 zezinho <zezinho> 4.5.6-3.mga3
+ Revision: 403914
- better default security for data directory

* Sun Feb 24 2013 neoclust <neoclust> 4.5.6-2.mga3
+ Revision: 400236
- Add php-iconv as requires ( mga #9171)

* Mon Jan 28 2013 neoclust <neoclust> 4.5.6-1.mga3
+ Revision: 392816
- New version

* Sun Jan 13 2013 umeabot <umeabot> 4.5.1-2.mga3
+ Revision: 362270
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 neoclust <neoclust> 4.5.1-1.mga3
+ Revision: 309644
- New version ( bug fix version )

* Thu Oct 18 2012 neoclust <neoclust> 4.5.0-1.mga3
+ Revision: 307958
- New version

* Mon Sep 24 2012 juancho <juancho> 4.0.5-2.mga3
+ Revision: 296998
- Added missing BR php-curl

* Wed Jul 25 2012 dmorgan <dmorgan> 4.0.5-1.mga3
+ Revision: 274139
- New version 4.0.5

* Mon Jul 23 2012 blino <blino> 4.0.4-4.mga3
+ Revision: 273670
- adapt conf file to apache 2.4

* Sun Jul 15 2012 blino <blino> 4.0.4-3.mga3
+ Revision: 271048
- suggest php-pdo_sqlite as well, both this one and php-sqlite3 seems to be required

* Sun Jul 15 2012 blino <blino> 4.0.4-2.mga3
+ Revision: 271043
- suggest php-sqlite3 instead of the deprecated php-pear-MDB2_Driver_sqlite
- require php-gd

* Sun Jul 15 2012 dmorgan <dmorgan> 4.0.4-1.mga3
+ Revision: 270869
- New version

* Wed Apr 25 2012 fwang <fwang> 3.0.2-1.mga2
+ Revision: 233182
- new version 3.0.2

* Tue Jan 31 2012 dmorgan <dmorgan> 3.0.0-1.mga2
+ Revision: 203600
- New version 3.0.0

* Sun Jan 08 2012 dmorgan <dmorgan> 3.0-0.1.alpha1.1.mga2
+ Revision: 193563
- New version 3.0 Alpha1

* Wed Nov 23 2011 dmorgan <dmorgan> 2.0.1-1.mga2
+ Revision: 171107
- New version 2.0.1
- Requires php-mbstring
- Requires php-zip

* Wed Nov 02 2011 dmorgan <dmorgan> 2.0.0-1.mga2
+ Revision: 161214
- New version 2

* Sun Oct 02 2011 dmorgan <dmorgan> 2.0.0-0.b3.1.mga2
+ Revision: 151109
- New version

* Sat Sep 24 2011 dmorgan <dmorgan> 2.0.0-0.b1.3.mga2
+ Revision: 147384
- Update to owncloud 2 beta 1

* Sun Sep 18 2011 dmorgan <dmorgan> 1.90.0-0.20110818.3.mga2
+ Revision: 145179
- Fix requires

* Sun Sep 18 2011 dmorgan <dmorgan> 1.90.0-0.20110818.2.mga2
+ Revision: 144707
- Fix sha1.lst
- Empty sha1.lst
- Change apache-conf require
- Add php-pear-MDB2_Driver_sqlite as suggests
- New git snapshot

* Mon Apr 04 2011 ennael <ennael> 1.1-1.mga1
+ Revision: 80479
- clean spec file
- imported package owncloud

